;;; DO NOT EDIT THIS FILE DIRECTLY

;;; This file is automatically generated from +config.org.

;;; checkers/grammar/autoload/+config.el -*- no-byte-compile:t; lexical-binding: t; -*-

;;; DO NOT EDIT THIS FILE DIRECTLY

;;; This file is automatically generated from +config.org.

;;;###autoload
(defgroup grammar nil
  "Customize grammar-checker"
  :prefix "grammar-"
  :group 'applications)

;;;###autoload
(defcustom grammar-checker-server-jar
  "/usr/local/share/languagetool/languagetool-server.jar"
  "The path of languagetool-server.jar.

The server will be automatically started if specified.  Set to
nil if you’re going to connect to a remote LanguageTool server,
or plan to start a local server some other way."
  :type '(choice (const :tag "Off" nil)
                 (file :tag "Filename" :must-match t))
  :link '(url-link :tag "LanguageTool embedded HTTP Server"
                   "https://dev.languagetool.org/http-server.html")
  :group 'grammar)


;;;###autoload
(defcustom grammar-checker-server-url nil
  "The URL for the LanguageTool API we should connect to."
  :type '(choice (const :tag "Auto" nil)
                 (string :tag "URL"))
  :group 'grammar)


;;;###autoload
(defcustom grammar-checker-server-port 8081
  "The port on which an automatically started LanguageTool server should listen."
  :type 'integer
  :link '(url-link :tag "LanguageTool embedded HTTP Server"
                   "https://dev.languagetool.org/http-server.html")
  :group 'grammar)


;;;###autoload
(defcustom grammar-checker-server-args ()
  "Extra arguments to pass when starting the LanguageTool server."
  :type '(repeat string)
  :link '(url-link :tag "LanguageTool embedded HTTP Server"
                   "https://dev.languagetool.org/http-server.html")
  :group 'grammar)


;;;###autoload
(defcustom grammar-checker-java-classpath
  "/usr/local/share/languagetool/*"
  "Custom classpath to use on special environment."
  :group 'langtool
  :type 'string)


;;;###autoload
(defcustom grammar-checker-http-server-host nil
  "Leave this set to nil unless you want to deploy the server to the local NAS."
  :group 'grammar
  :type 'string)


;;;###autoload
(defcustom grammar-checker-http-server-port nil
  "See `grammar-checker-http-server-host'."
  :group 'grammar
  :type 'number)

;;;###autoload
(defcustom grammar-checker-language "en-US"
  "The language code of the text to check."
  :type '(string :tag "Language")
  :safe #'stringp
  :group 'grammar)
(make-variable-buffer-local 'grammar-checker-language)


;;;###autoload
(defcustom grammar-checker-default-language nil
  "Language name pass to LanguageTool command.
This is string which indicate locale or `auto' or `nil'.
Currently `auto' and `nil' is a same meaning."
  :group 'grammar
  :type '(choice
          string
          (const auto)
          (const nil)))


;;;###autoload
(defcustom grammar-checker-mother-tongue nil
  "Your mothertongue Language name pass to LanguageTool."
  :group 'grammar
  :type 'string)


;;;###autoload
(defcustom grammar-checker-disabled-rules nil
  "Disabled rules pass to LanguageTool.
String that separated by comma or list of string.
"
  :group 'grammar
  :type '(choice
          (list string)
          string))


;;;###autoload
(defcustom grammar-checker-check-params ()
  "Extra parameters to pass with LanguageTool check requests."
  :type '(alist :key-type string :value-type string)
  :link '(url-link
          :tag "LanguageTool API"
          "https://languagetool.org/http-api/swagger-ui/#!/default/post_check")
  :group 'grammar)


;;;###autoload
(defcustom grammar-checker-server-user-arguments nil
  "`grammar-checker-language-tool-server-jar' customize arguments.
You can pass `--config' option to the server that indicate java property file.

You can see all valid arguments with following command (Replace path by yourself):
java -jar /path/to/languagetool-server.jar --help
"
  :group 'grammar
  :type '(choice
          (repeat string)
          function))

;;;###autoload
(defcustom grammar-checker-active-modes
  '(latex-mode org-mode markdown-mode message-mode)
  "List of major mode that work with LanguageTool."
  :type 'list
  :group 'grammar)
